package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.visitor.Visitor;

/**
 * Times-operator.
 */
public class TimesOperator extends Operator
{
	/**
	 * Create new times-operator.
	 */
	public TimesOperator() 
	{
		super("*");
	}

	/**
	 * Implement double dispatch using this operand and the specific visitor passed as argument.
	 * @see ch.ethz.se.rpnc.node.Node#accept(ch.ethz.se.rpnc.visitor.Visitor)
	 */
	public void accept(Visitor visitor) throws Exception
	{
		visitor.visit(this);
	}
}
